<div class="priceTag-container">
  <div class="priceTag-content">
    <div class="container">
      <div class="box">
        <form class="mt-5" [formGroup]="priceTagForm" (ngSubmit)="onSubmit()">
          <div class="field">
            <label class="label">Title</label>
            <div class="control">
              <input class="input" type="text" placeholder="Title" formControlName="title">
            </div>
          </div>
          <div formArrayName="articles">
            <div class="field is-horizontal mt-5 mb-5" *ngFor="let item of dynamicFields.controls; let i = index" >
              <div [formGroupName]="i" class="field-body columns">
                <div class="field column col-items">
                  <label class="label">Item</label>
                  <div class="control">
                    <input class="input" type="text" placeholder="item" formControlName="item">
                  </div>
                </div>
                <div class="field column">
                  <label class="label">Price</label>
                  <div class="control">
                    <input class="input"  type="text" currencyMask placeholder="price" formControlName="price">
                  </div>
                </div>
                <div class="control buttons column is-flex is-align-items-end">
                  <button type="button" class="button is-success"
                          [disabled]="dynamicFields.length >= 6"
                          (click)="addField()">
                    +
                  </button>
                  <button type="button" class="button is-danger"
                          [disabled]="dynamicFields.length  === 1"
                          (click)="removeField(i)">
                    -
                  </button>
                </div>
              </div>
            </div>
          <div class="field is-grouped is-grouped-centered">
            <div class="control">
              <button class="button is-primary" [disabled]="!priceTagForm.valid">Valider</button>
            </div>
          </div>
          </div>
        </form>
      </div>
    </div>
  </div>
</div>
